package com.starbuds.server.service.user;

import com.starbuds.server.service.user.rocket.RocketConsumer;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import javax.annotation.Resource;
import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * SpringBoot 入口
 *
 * @author Lay
 * @date 2019/11/27
 */
@SpringBootApplication
@Slf4j
public class Application implements CommandLineRunner {

    /**
     * 星芽第一行代码
     *
     * @param args
     * @datetime 2019/11/27 16:22
     * @address 浙江省杭州市西湖区西溪银泰城2号写字楼1003
     */
    public static void main(String[] args) {
        System.setProperty("app.name", "service-user");
        try {
            System.setProperty("hostname", InetAddress.getLocalHost().getHostName());
        } catch (UnknownHostException e) {
            System.setProperty("hostname", System.getProperty("app.name"));
        }
        SpringApplication.run(Application.class, args);
        log.info("[service-user] started.");
    }

    @Resource
    RocketConsumer rocketConsumer;

    @Override
    public void run(String... args) throws Exception {
        // 启动消息队列监听
        rocketConsumer.start();
    }
}
