package com.starbuds.server.service.user.config;

import com.starbuds.server.common.service.data.ReleaseConfigService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;

/***
 * @author qinjiang
 * @description 发布配置
 * @date 2021/10/20
 */
@Component
@Slf4j
public class ReleaseConfig {

    private static String appName;
    private static final String KEY_APPNAME = "appName";

    @Reference(version = "1.0.0")
    ReleaseConfigService releaseConfigService;

    /**
     * 获得App名称
     */
    public String getAppName() {
        if (StringUtils.isBlank(appName)) {
            log.info("ReleaseConfig get appName");
            return releaseConfigService.getReleaseConfig(KEY_APPNAME);
        }

        return appName;
    }

}
