package com.starbuds.server.service.user.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Primary;
import org.springframework.orm.jpa.JpaTransactionManager;

import javax.persistence.EntityManagerFactory;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/14
 */
//@Configuration
//@DependsOn("sessionFactory")
public class TransactionAspect {

    /**
     * MySQL 事务管理器名称
     */
    public static final String MYSQL_MANAGER = "transactionManager";

    /**
     * 混合事务管理器
     */
    public static final String MULTI_MANAGER = "multiTransactionManager";

    /**
     * 定义 MySQL事务管理器，必须有transactionManager作为默认事务管理器
     *
     * @param emf
     * @return
     */
    @Bean(MYSQL_MANAGER)
    @Primary
    public JpaTransactionManager transactionManager(EntityManagerFactory emf) {
        return new JpaTransactionManager(emf);
    }

}
