package com.starbuds.server.service.user.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/14 13:47
 * @Description 语言枚举
 * https://blog.csdn.net/scorpio_h/article/details/79388088
 */
@Getter
@AllArgsConstructor
public enum LangEnum {

    af("af", "Afrikaans"),
    am("am", "Amharic"),
    ar("ar", "Arabic"),
    az("az", "Azerbaijani"),
    be("be", "Belarusian"),
    bg("bg", "Bulgarian"),
    bh("bh", "Bihari"),
    bn("bn", "Bengali"),
    br("br", "Breton"),
    bs("bs", "Bosnian"),
    ca("ca", "Catalan"),
    co("co", "Corsican"),
    cs("cs", "捷克语"),
    cy("cy", "威尔士语"),
    da("da", "Danish"),
    de("de", "Danish"),
    Austria("de-AT", "Austria"),
    Switzerland("de-CH", "Switzerland"),
    Germany("de-DE", "Germany"),
    el("el", "希腊语"),
    en("en", "英语"),
    Australia("en-AU", "English (Australia)"),
    Canada("en-CA", "English (Canada)"),
    UK("en-GB", "English (UK)"),
    New_Zealand("en-NZ", "English (New Zealand)"),
    US("en-US", "English (US)"),
    South_Africa("en-ZA", "English (South Africa)"),
    eo("eo", "Esperanto"),
    es("es", "Spanish"),
    Latin_America("es-419", "Spanish (Latin America)"),
    et("et", "Estonian"),
    eu("eu", "Basque"),
    fa("fa", "Persian"),
    fi("fi", "Finnish"),
    fil("fil", "Filipino"),
    fo("fo", "Faroese"),
    fr("fr", "French"),
    fr_CA("fr-CA", "法语（加拿大）"),
    fr_CH("fr", "French (Switzerland)"),
    fr_FR("fr-FR", "法语（法国）"),
    fy("fy", "Frisian"),
    ga("ga", "Irish"),
    gd("gd", "Scots Gaelic"),
    gl("gl", "Galician"),
    gn("gn", "Guarani"),
    gu("gu", "Gujarati"),
    ha("ha", "Hausa"),
    haw("haw", "Hawaiian"),
    he("he", "Hebrew"),
    hi("hi", "Hindi"),
    hr("hr", "Croatian"),
    hu("hu", "Hungarian"),
    ia("ia", "Interlingua"),
    id("id", "Indonesian"),
    is("is", "Icelandic"),
    it("it", "Italian"),
    it_CH("it-CH", "Italian (Switzerland)"),
    IT("it-IT", "Italian (Italy)"),
    ja("ja", "日语"),
    jw("jw", "爪哇语"),
    ka("ka", "Georgian"),
    kk("kk", "Kazakh"),
    km("km", "Cambodian"),
    kn("kn", "Kannada"),
    ko("ko", "韩语"),
    ku("ku", "Kurdish"),
    ky("ky", "Kyrgyz"),
    la("la", "拉丁语"),
    ln("ln", "Lingala"),
    lo("lo", "Laothian"),
    lt("lt", "Lithuanian"),
    lv("lv", "Latvian"),
    mk("mk", "Macedonian"),
    ml("ml", "Malayalam"),
    mn("mn", "Mongolian"),
    mo("mo", "Moldavian"),
    mr("mr", "Marathi"),
    ms("ms", "Malay"),
    mt("mt", "Maltese"),
    nb("nb", "Norwegian (Bokmal)"),
    ne("ne", "Nepali"),
    nl("nl", "Dutch"),
    nn("nn", "Norwegian (Nynorsk)"),
    no("no", "Norwegian"),
    oc("oc", "Occitan"),
    om("om", "Oromo"),
    or("or", "Oriya"),
    pa("pa", "Punjabi"),
    pl("pl", "Polish"),
    ps("ps", "Pashto"),
    pt("pt", "Portuguese"),
    pt_BR("pt-BR", "Portuguese (Brazil)"),
    pt_PT("pt-PT", "Portuguese (Portugal)"),
    qu("qu", "Quechua"),
    rm("rm", "Romansh"),
    ro("ro", "Romanian"),
    ru("ru", "Russian"),
    sd("sd", "Sindhi"),
    sh("sh", "Serbo-Croatian"),
    si("si", "Sinhalese"),
    sk("sk", "Slovak"),
    sl("sl", "Slovenian"),
    sn("sn", "Shona"),
    so("so", "Somali"),
    sq("sq", "Albanian"),
    sr("sr", "Serbian"),
    st("st", "Sesotho"),
    su("su", "Sundanese"),
    sv("sv", "Swedish"),
    sw("sw", "Swahili"),
    ta("ta", "Tamil"),
    te("te", "Telugu"),
    tg("tg", "Tajik"),
    th("th", "Thai"),
    ti("ti", "Tigrinya"),
    tk("tk", "Turkmen"),
    to("to", "Tonga"),
    tr("tr", "Turkish"),
    tt("tt", "Tatar"),
    tw("tw", "Twi"),
    ug("ug", "Uighur"),
    uk("uk", "Ukrainian"),
    ur("ur", "Urdu"),
    uz("uz", "Uzbek"),
    vi("vi", "Vietnamese"),
    xh("xh", "Xhosa"),
    yi("yi", "Yiddish"),
    yo("yo", "Yoruba"),
    zh("zh", "中文"),
    zh_CN("zh-CN", "中文（简体）"),
    zh_TW("zh-TW", "中文（繁体）"),
    zu("zu", "Zulu"),

    ;

    private String code;

    private String name;
}
