package com.starbuds.server.service.user.dao;

import com.starbuds.server.service.user.pojo.admin.AdminSecurityDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Set;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/1/27 18:27
 * @Description 管理员
 */
@Mapper
@Repository
public interface AdminDAO {

    /**
     * 判断是否存在
     *
     * @param userId
     * @return
     */
    int countByUserId(@Param("userId") Long userId);

    /**
     * 判断是否存在
     *
     * @param userIds
     * @return
     */
    List<Long> selectSuppersByUserIds(@Param("userIds") List<Long> userIds);


    Set<Long> getAdminSet(@Param("userIds") Set<Long> userIds);

    AdminSecurityDO selectByAccount(@Param("adminAccount") String adminAccount);
}
