package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.AgentAuditDO;
import com.starbuds.server.common.pojo.user.AgentAuditVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-01-07 15:41:23
 * @Description 公会审核表持久层
 */
@Mapper
@Repository
public interface AgentAuditDAO {

    /**
     * 新增
     */
    int insert(AgentAuditDO entity);


    /**
     * 查询是否存在未审核的申请
     *
     * @param agentId 公会id
     * @param userId  用户id
     * @return 条数
     */
    int countByAgentId(@Param("agentId") Long agentId, @Param("userId") Long userId);


    /**
     * 查询审核状态
     *
     * @param userId 用户id
     * @return 审核状态
     */
    Integer getAuditStatus(@Param("userId") Long userId);


    /**
     * 获取用户最近一次申请信息
     *
     * @param userId    用户id
     * @param applyType 申请类型
     * @return 申请信息
     */
    AgentAuditVO getLastApplyInfo(@Param("userId") Long userId, @Param("applyType") Integer applyType);


    /**
     * 获取公会id
     *
     * @param userId
     * @param applyType
     * @return
     */
    Long getAgentId(@Param("userId") Long userId, @Param("applyType") Integer applyType);


}
