package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.user.AgentVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-01-07 15:41:23
 * @Description 公会持久层
 */
@Mapper
@Repository
public interface AgentDAO {

    /**
     * 是否存在
     *
     * @param agentId agentId
     * @return 是否存在
     */
    int countById(@Param("agentId") Long agentId);


    /**
     * 获取公会列表
     *
     * @param content 搜索的内容
     * @return 公会列表
     */
    List<AgentVO> getAgentPageList(@Param("content") String content,
                                   @Param("pageCursor") int pageCursor,
                                   @Param("pageSize") int pageSize);


    /**
     * 查询公会列表条数
     *
     * @param content 搜索的内容
     * @return 条数
     */
    int countAgentPageList(@Param("content") String content);

    /**
     * 获取公会详情
     *
     * @param agentId 公会id
     * @return 公会详情
     */
    AgentVO getAgentDetail(@Param("agentId") Long agentId);


}
