package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.AnchorAuditDO;
import com.starbuds.server.common.pojo.user.AnchorAuditVO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Map;
import java.util.Set;

/**
 * @Author jiangxiaowei
 * @DateTime 2019-12-21 14:42:13
 * @Description 主播认证审核持久层
 */
@Mapper
@Repository
public interface AnchorAuditDAO {
    /**
     * 新增
     *
     * @param entity
     * @return 插入条数
     */
    Integer insert(AnchorAuditDO entity);

    /**
     * 根据主键更新
     *
     * @param entity 实体类
     * @return 更新条数
     */
    Integer updateById(AnchorAuditDO entity);

    /**
     * 根据主键查询
     *
     * @param auditId 主键
     * @return 对象
     */
    AnchorAuditDO selectById(@Param("auditId") Long auditId);

    /**
     * 获取最近一次认证记录
     *
     * @param userId 用户id
     * @return 对象
     */
    AnchorAuditDO getLastApplyRecord(@Param("userId") Long userId);

    /**
     * 获取最近一次认证状态
     *
     * @param userId 用户id
     * @return 认证状态
     */
    Integer getLastApplyStatus(@Param("userId") Long userId);

    /**
     * 根据 id 统计
     *
     * @param auditId
     * @param status
     * @return
     */
    int countByIdAndStatus(@Param("auditId") Long auditId, @Param("status") Integer status);

    /**
     * 获取最近一次认证记录
     *
     * @param userIds
     * @return
     */
    @MapKey("userId")
    Map<Long, AnchorAuditVO> selectLastApplyRecordMapByUserIds(@Param("userIds") Set<Long> userIds);
}
