package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.AnchorBlackDO;
import com.starbuds.server.common.pojo.user.AnchorBlackVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/3
 */
@Mapper
@Repository
public interface AnchorBlackDAO {
    /**
     * 创建记录
     *
     * @param anchorBlackDO
     * @return
     */
    int insertOrUpdate(AnchorBlackDO anchorBlackDO);

    /**
     * 查询所有
     *
     * @param pageCursor
     * @param pageSize
     * @param anchorUserId
     * @return
     */
    List<AnchorBlackVO> selectAll(@Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize, @Param("anchorUserId") Long anchorUserId);

    /**
     * 统计所有
     *
     * @param anchorUserId
     * @return
     */
    int count(@Param("anchorUserId") Long anchorUserId);

    /**
     * 根据 id 统计
     *
     * @param anchorUserId
     * @param userId
     * @return
     */
    int countById(@Param("anchorUserId") Long anchorUserId, @Param("userId") Long userId);
}
