package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.AnchorFansDO;
import com.starbuds.server.common.pojo.user.FansTeamMemberVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/10
 */
@Mapper
@Repository
public interface AnchorFansDAO {
    /**
     * 创建或更新记录
     *
     * @param anchorFansDO
     * @return
     */
    int insertOrUpdate(AnchorFansDO anchorFansDO);

    /**
     * 根据 id 统计
     *
     * @param anchorUserId
     * @param fansUserId
     * @return
     */
    int countById(@Param("anchorUserId") Long anchorUserId, @Param("fansUserId") Long fansUserId);

    /**
     * 查询粉丝团成员列表
     *
     * @param pageCursor
     * @param pageSize
     * @param userId
     * @return
     */
    List<FansTeamMemberVO> selectMemberList(@Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize, @Param("userId") Long userId);

    /**
     * 统计粉丝团成员数量
     *
     * @param userId
     * @return
     */
    int countMembers(@Param("userId") Long userId);
}
