package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.AnchorMasterDO;
import com.starbuds.server.common.pojo.user.AnchorMasterVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/31
 */
@Mapper
@Repository
public interface AnchorMasterDAO {
    /**
     * 插入或更新房管
     *
     * @param anchorMasterDO
     * @return
     */
    int insertOrUpdate(AnchorMasterDO anchorMasterDO);

    /**
     * 根据 id 统计
     *
     * @param anchorUserId
     * @param masterUserId
     * @return
     */
    int countById(@Param("anchorUserId") Long anchorUserId, @Param("masterUserId") Long masterUserId);

    /**
     * 根据主播查询所有房管
     *
     * @param anchorUserId
     * @return
     */
    List<AnchorMasterVO> selectAllByAnchorId(@Param("anchorUserId") Long anchorUserId);

    /**
     * 统计主播房管数量
     *
     * @param anchorUserId
     * @return
     */
    int countByAnchorId(@Param("anchorUserId") Long anchorUserId);
}
