package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.DeviceDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/7
 */
@Mapper
@Repository
public interface DeviceDAO {
    /**
     * 创建记录
     *
     * @param deviceDO
     * @return
     */
    int insert(DeviceDO deviceDO);

    /**
     * 根据 id 查询
     *
     * @param deviceId
     * @return
     */
    DeviceDO selectById(@Param("deviceId") String deviceId);

    /**
     * 更新锁定状态
     *
     * @param deviceId
     * @param locked
     * @return
     */
    int updateLocked(@Param("deviceId") String deviceId, @Param("locked") Integer locked);

    /**
     * 根据 id 统计
     *
     * @param deviceId
     * @return
     */
    int countById(@Param("deviceId") String deviceId);
}
