package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.FriendRelationDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019-12-20 11:32:38
 * @Description 好友关系持久层
 */
@Mapper
@Repository
public interface FriendRelationDAO {
    /**
     * 新增
     *
     * @param entity
     * @return
     */
    int insert(FriendRelationDO entity);

    /**
     * 根据主键更新
     *
     * @param entity
     * @return
     */
    int updateById(FriendRelationDO entity);

    /**
     * 查询好友关系
     *
     * @param userId
     * @param targetId
     * @param status
     * @return
     */
    FriendRelationDO selectByUserIdAndTargetId(@Param("userId") Long userId,
                                               @Param("targetId") Long targetId,
                                               @Param("status") Integer status);

    /**
     * 新增或更新
     *
     * @param entity
     * @return
     */
    int insertOrUpdate(FriendRelationDO entity);

    /**
     * 是否好友关系
     *
     * @param userId
     * @param targetId
     * @return
     */
    int isFriendRelation(@Param("userId") Long userId, @Param("targetId") Long targetId);

    /**
     * 获取好友id
     *
     * @param userId
     * @return
     */
    List<Long> selectTargetIds(@Param("userId") Long userId);
}
