package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.FriendReqDO;
import com.starbuds.server.common.pojo.user.FriendReqVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2019-12-20 11:32:38
 * @Description 好友申请持久层
 */
@Mapper
@Repository
public interface FriendReqDAO {
    /**
     * 新增
     */
    Integer insert(FriendReqDO entity);

    /**
     * 根据主键更新
     */
    Integer updateById(FriendReqDO entity);

    /**
     * 根据主键查询
     */
    FriendReqDO selectById(@Param("reqId") Long reqId);

    /**
     * 查询好友申请记录
     */
    Integer countByUserId(Long userId, Long targetId, Integer status);

    /**
     * 获取最近一次申请状态
     *
     * @param userId
     * @param targetId
     * @return
     */
    Integer selectLastFriendReqStatus(@Param("userId") Long userId, @Param("targetId") Long targetId);

    /**
     * 获取好友列表
     *
     * @param curUserId
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<FriendReqVO> selectFriendReqList(@Param("curUserId") Long curUserId, @Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize);

    /**
     * 获取好友列表大小
     *
     * @param curUserId
     * @return
     */
    int countFriendReqList(@Param("curUserId") Long curUserId);
}
