package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.NiceNoPoolDO;
import com.starbuds.server.common.pojo.user.NiceNoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * NiceNoPoolDAO
 *
 * @author Lay
 * @date 2019/12/24
 */
@Mapper
@Repository
public interface NiceNoPoolDAO {
    /**
     * 根据靓号查询
     *
     * @param niceNo
     * @return
     */
    NiceNoPoolDO selectById(@Param("niceNo") Long niceNo);

    /**
     * 更新绑定
     *
     * @param niceNoPoolDO
     * @return
     */
    int updateBind(NiceNoPoolDO niceNoPoolDO);

    /**
     * 查询列表
     *
     * @param pageCursor
     * @param pageSize
     * @param niceLevel
     * @param bindStatus
     * @return
     */
    List<NiceNoVO> selectAll(@Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize, @Param("niceLevel") Integer niceLevel, @Param("bindStatus") Integer bindStatus);

    /**
     * 统计
     *
     * @param niceLevel
     * @param bindStatus
     * @return
     */
    int count(@Param("niceLevel") Integer niceLevel, @Param("bindStatus") Integer bindStatus);

    /**
     * 根据用户 id 查询
     *
     * @param userId
     * @return
     */
    NiceNoPoolDO selectByUserId(@Param("userId") Long userId);

    /**
     * 查询靓号等级
     *
     * @param niceNo
     * @param userId
     * @param nowTimestamp
     * @return
     */
    Integer selectNiceLevel(@Param("niceNo") Long niceNo,
                            @Param("userId") Long userId,
                            @Param("nowTimestamp") long nowTimestamp);
}
