package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.QuestionAnswerDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/3/3 15:50
 * @Description 问答
 */
@Mapper
@Repository
public interface QuestionAnswerDAO {

    /**
     * 根据用户id查询
     *
     * @param userId
     * @return
     */
    List<QuestionAnswerDO> selectByUserId(@Param("userId") Long userId);

    /**
     * 插入
     *
     * @param answerDO
     * @return
     */
    int insertOrUpdate(QuestionAnswerDO answerDO);

    /**
     * 更新
     *
     * @param answerDO
     * @return
     */
    int updateById(QuestionAnswerDO answerDO);

    /**
     * 根据id判断是否存在
     *
     * @param questionId
     * @param userId
     * @return
     */
    int countById(@Param("questionId") Long questionId, @Param("userId") Long userId);

    /**
     * 设置问题状态
     *
     * @param questionId
     * @param status
     * @return
     */
    int updateStatus(@Param("questionId") Long questionId, @Param("status") Integer status);
}
