package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.RtcRoomVisitHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/7/10
 */
@Mapper
@Repository
public interface RtcRoomVisitHisDAO {
    /**
     * 创建或更新
     *
     * @param rtcRoomVisitHisDO
     * @return
     */
    int insertOrUpdate(RtcRoomVisitHisDO rtcRoomVisitHisDO);

    /**
     * 获取用户进房次数
     *
     * @param userId
     * @param roomId
     * @param beginTime
     * @param endTime
     * @return
     */
    int countByUserIdWithTime(@Param("userId") Long userId, @Param("roomId") Long roomId, @Param("beginTime") long beginTime, @Param("endTime") Long endTime);

    /**
     * 获取房间进入用户数
     *
     * @param roomId
     * @return
     */
    int countByRoomIdWithTime(@Param("roomId") Long roomId, @Param("startTime") long startTime);

    /**
     * 获取进房次数
     *
     * @param beginTime
     * @param endTime
     * @param businessType
     * @return
     */
    int getRtcRoomEnterTimes(@Param("beginTime") Long beginTime,
                             @Param("endTime") Long endTime,
                             @Param("businessType") Integer businessType);
}
