package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserAlipayDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/13
 */
@Mapper
@Repository
public interface UserAlipayDAO {
    /**
     * 绑定或更新
     *
     * @param userAlipayDO
     * @return
     */
    int insertOrUpdate(UserAlipayDO userAlipayDO);

    /**
     * 判断用户是否绑定
     *
     * @param userId
     * @return
     */
    int countById(@Param("userId") Long userId);

    /**
     * 根据 id 查询
     *
     * @param userId
     * @return
     */
    UserAlipayDO selectById(@Param("userId") Long userId);

    /**
     * 更新状态
     *
     * @param userId
     * @param status
     * @return
     */
    int updateStatus(@Param("userId") Long userId, @Param("status") int status);
}
