package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserAuthDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.Map;
import java.util.Set;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/4/28
 */
@Mapper
@Repository
public interface UserAuthDAO {
    /**
     * 根据 id 查询记录
     *
     * @param userId
     * @return
     */
    UserAuthDO selectById(@Param("userId") Long userId);

    /**
     * 判断是否存在
     *
     * @param userId
     * @return
     */
    int countById(@Param("userId") Long userId);

    /**
     * 保存
     *
     * @param authDO
     * @return
     */
    int insertOrUpdate(UserAuthDO authDO);

    /**
     * 获取用户授权列表
     *
     * @param userIds
     * @return
     */
    @MapKey("userId")
    Map<Long, UserAuthDO> selectAuthMapByIds(@Param("userIds") Collection<Long> userIds);

    /**
     * 通过数量检查
     *
     * @param idCardNo
     * @return
     */
    Integer countByIdCardNo(@Param("idCardNo") String idCardNo);
}
