package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserForbiddenDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/3/22 17:41
 * @Description 封禁用户
 */
@Mapper
@Repository
public interface UserForbiddenDAO {

    /**
     * 判断是否存在
     *
     * @param userId
     * @param ip
     * @param deviceId
     * @return
     */
    int selectCount(@Param("userId") Long userId, @Param("ip") String ip, @Param("deviceId") String deviceId);

    /**
     * 获取封禁方式
     *
     * @param userId
     * @param ip
     * @param deviceId
     * @return
     */
    Integer selectWay(@Param("userId") Long userId, @Param("ip") String ip, @Param("deviceId") String deviceId);

    /**
     * 获取等待更新的用户
     *
     * @return
     */
    List<Long> selectWaitUpdateUserId();

    /**
     * 设置状态
     *
     * @param userIds
     * @param status
     * @return
     */
    int updateForbiddenStatus(@Param("userIds") List<Long> userIds, @Param("status") Integer status);

    /**
     * 获取最新一条封禁记录
     *
     * @param userId
     * @return
     */
    UserForbiddenDO getLastForbiddenHis(@Param("userId") long userId);
}
