package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserGiftWallDO;
import com.starbuds.server.common.pojo.user.GiftWallItem;
import com.starbuds.server.common.pojo.user.UserGiftWallItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/8/4
 */
@Mapper
@Repository
public interface UserGiftWallDAO {
    /**
     * 创建或更新
     *
     * @param userGiftWallDO
     * @return
     */
    int insertOrUpdate(UserGiftWallDO userGiftWallDO);

    /**
     * 批量创建或更新
     *
     * @param list
     * @return
     */
    int batchInsertOrUpdate(List<UserGiftWallDO> list);

    /**
     * 查询礼物墙礼物
     *
     * @param userId
     * @param startTime
     * @param endTime
     * @return
     */
    List<UserGiftWallItem> selectWallGifts(@Param("userId") Long userId, @Param("startTime") Long startTime, @Param("endTime") Long endTime);

    /**
     * 统计获取的款数
     *
     * @param userId
     * @param startTime
     * @param endTime
     * @return
     */
    int countNum(@Param("userId") Long userId, @Param("startTime") Long startTime, @Param("endTime") Long endTime);

    /**
     * 收到的礼物
     *
     * @param userId
     * @param startDate
     * @param endDate
     * @param giftIds
     * @return
     */
    List<GiftWallItem> selectWallItems(@Param("userId") Long userId,
                                       @Param("startDate") Long startDate,
                                       @Param("endDate") Long endDate,
                                       @Param("giftIds") List<Long> giftIds);
}
