package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserIdCardDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/27 11:10
 * @Description 用户身份证持久层
 */
@Mapper
@Repository
public interface UserIdCardDAO {

    /**
     * 保存或更新
     *
     * @param idCardDO
     * @return
     */
    int insertOrUpdate(UserIdCardDO idCardDO);

    /**
     * 更新ocr结果
     *
     * @param userId
     * @param ocrResult
     * @param remark
     * @param status
     */
    void updateOcrResult(@Param("userId") Long userId,
                         @Param("ocrResult") String ocrResult,
                         @Param("remark") String remark,
                         @Param("status") Integer status);

    /**
     * 获取身份证识别备注
     *
     * @param userId
     * @return
     */
    String selectRemark(@Param("userId") Long userId);

    /**
     * 获取身份证
     *
     * @param userId
     * @return
     */
    UserIdCardDO selectById(@Param("userId") Long userId);
}
