package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;
import com.starbuds.server.common.pojo.db.UserIntimacyRelationDO;
import com.starbuds.server.common.pojo.db.UserIntimacyRelationHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author lujiao
 * @DateTime 2021/7/22 15:51
 * @Description
 */
@Mapper
@Repository
public interface UserIntimacyRelationHisDAO {

    /**
     * 插入数据
     */
    int insert(UserIntimacyRelationHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<UserIntimacyRelationHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(UserIntimacyRelationHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    UserIntimacyRelationHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    UserIntimacyRelationHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<UserIntimacyRelationHisDO> selectPageList(QueryWrapper qw);

    /**
     * 亲密度周数据排行
     *
     * @param weekStart
     * @param weekEnd
     * @return
     */
    List<UserIntimacyRelationDO> getUserWeekWatchIntimacy(@Param("weekStart") Long weekStart, @Param("weekEnd") Long weekEnd);

    /**
     * 通过Id获取历史记录
     *
     * @param reason
     * @param orderId
     * @return
     */
    UserIntimacyRelationHisDO getIntimacyHisByOrderId(@Param("reason") int reason, @Param("orderId") String orderId);
}
