package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserInviteDO;
import com.starbuds.server.common.pojo.user.InviteUserVO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/13
 */
@Mapper
@Repository
public interface UserInviteDAO {
    /**
     * 创建邀请记录
     *
     * @param userInviteDO
     * @return
     */
    int insert(UserInviteDO userInviteDO);

    /**
     * 获取邀请人id
     *
     * @param userId
     * @return
     */
    Long selectByUserId(@Param("userId") Long userId);

    /**
     * 获取邀请人id
     *
     * @param userIds
     * @return
     */
    @MapKey("userId")
    Map<Long, UserInviteDO> selectByUserIdMap(@Param("userIds") Set<Long> userIds);

    /**
     * 根据用户 id 查询列表
     *
     * @param pageCursor
     * @param pageSize
     * @param userId
     * @param hasRecharged
     * @return
     */
    List<InviteUserVO> selectAllByUserId(@Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize, @Param("userId") Long userId, @Param("hasRecharged") Integer hasRecharged);

    /**
     * 根据用户 id 统计
     *
     * @param userId
     * @param hasRecharged
     * @return
     */
    int countByUserId(@Param("userId") Long userId, @Param("hasRecharged") Integer hasRecharged);
}
