package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserLogoutDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/5/20 18:10
 * @Description 用户注销
 */
@Mapper
@Repository
public interface UserLogoutDAO {

    /**
     * 保存
     *
     * @param logoutDO
     * @return
     */
    int insertOrUpdate(UserLogoutDO logoutDO);

    /**
     * 获取注销状态
     *
     * @param userId
     * @return
     */
    Integer selectStatus(@Param("userId") Long userId);

    /**
     * 判断是否已存在
     *
     * @param userId
     * @param status
     * @return
     */
    int countById(@Param("userId") Long userId, @Param("status") Integer status);

    /**
     * 获取注销时间
     *
     * @param userId
     * @return
     */
    Long selectLogoutTime(@Param("userId") Long userId);

    /**
     * 更新状态
     *
     * @param userId
     * @param resumeTime
     * @param status
     * @return
     */
    int updateStatus(@Param("userId") Long userId,
                     @Param("resumeTime") Long resumeTime,
                     @Param("status") Integer status);

    /**
     * 获取待注销的手机号
     *
     * @param createTime
     * @param status
     * @return
     */
    List<Long> selectUserIds(@Param("createTime") Long createTime,
                             @Param("status") Integer status);

    /**
     * 获取注销
     *
     * @param userId
     * @return
     */
    UserLogoutDO selectById(@Param("userId") Long userId);
}
