package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;
import com.starbuds.server.common.pojo.db.UserMedalShinyStatusDO;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 用户勋章闪亮状态 Mapper
 */
@Mapper
@Repository
public interface UserMedalShinyStatusDAO {

    /**
     * 插入数据
     */
    @Insert("INSERT INTO tb_user_medal_shiny_status " +
            "(userId,userMedalType,lastUpdatedDate,shinyEndDate,putGreyDate,sendMsgStatus,createTime,updateTime) " +
            "VALUES " +
            "(#{userId},#{userMedalType},#{lastUpdatedDate},#{shinyEndDate},#{putGreyDate},#{sendMsgStatus},#{createTime},#{updateTime})")
    int insert(UserMedalShinyStatusDO po);

    @Select("SELECT hisId,userId,userMedalType,lastUpdatedDate,shinyEndDate,putGreyDate,sendMsgStatus,createTime,updateTime " +
            "FROM tb_user_medal_shiny_status " +
            "WHERE userId=#{userId} " +
            "AND userMedalType=#{userMedalType}")
    UserMedalShinyStatusDO selectByUserIdMedalType(@Param("userId") long userId,
                                                   @Param("userMedalType") int userMedalType);

    @Select("SELECT shinyEndDate " +
            "FROM tb_user_medal_shiny_status " +
            "WHERE userId=#{userId}")
    Integer selectShinyEndDate(@Param("userId") long userId);

    /**
     * 查询发送勋章置灰消息的用户id列表
     *
     * @param userMedalType
     * @param putGreyDate
     * @param limit
     * @return
     */
    @Select("SELECT userId " +
            "FROM tb_user_medal_shiny_status " +
            "WHERE putGreyDate=#{putGreyDate} " +
            "AND sendMsgStatus=0 " +
            "AND userMedalType=#{userMedalType} " +
            "LIMIT #{limit}")
    List<Long> selectSendPutGreyMessageUserIds(@Param("userMedalType") int userMedalType,
                                               @Param("putGreyDate") int putGreyDate,
                                               @Param("limit") int limit);

    int update(UpdateWrapper uw);

}
