package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserNobleDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/4
 */
@Mapper
@Repository
public interface UserNobleDAO {

    /**
     * 创建或更新
     *
     * @param userNobleDO
     * @return
     */
    int insertOrUpdate(UserNobleDO userNobleDO);

    /**
     * 根据 id 查询
     *
     * @param userId
     * @param curTime
     * @return
     */
    UserNobleDO selectById(@Param("userId") Long userId, @Param("curTime") Long curTime);

    /**
     * 根据贵族等级
     *
     * @param userId
     * @return
     */
    Integer selectNobleLevel(@Param("userId") Long userId);

    /**
     * 查询用户贵族
     *
     * @param userIds
     * @return
     */
    @MapKey("userId")
    Map<Long, UserNobleDO> selectByUserIds(@Param("userIds") Set<Long> userIds, @Param("curTime") Long curTime);

    /**
     * 更新自动续费
     *
     * @param userId
     * @param autoRenewal
     * @return
     */
    int updateAutoRenewal(@Param("userId") Long userId, @Param("autoRenewal") Integer autoRenewal);
}
