package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserOauthDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/19
 */
@Mapper
@Repository
public interface UserOauthDAO {
    /**
     * 根据 unionId 查询用户 id
     *
     * @param unionId
     * @param channelId
     * @param type
     * @return
     */
    Long selectUserIdByUnionId(@Param("unionId") String unionId, @Param("channelId") Long channelId, @Param("type") Integer type);

    /**
     * 根据 id 查询
     *
     * @param userId
     * @param channelId
     * @param type
     * @return
     */
    int countById(@Param("userId") Long userId, @Param("channelId") Long channelId, @Param("type") Integer type);

    /**
     * 创建用户 Oauth 绑定记录
     *
     * @param userOauthDO
     * @return
     */
    int insert(UserOauthDO userOauthDO);

    /**
     * 获取oauth
     *
     * @param userId
     * @return
     */
    List<UserOauthDO> selectByUserId(@Param("userId") Long userId);
}
