package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserOnlineHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/7
 */
@Mapper
@Repository
public interface UserOnlineHisDAO {
    /**
     * 创建记录
     *
     * @param userOnlineHisDO
     * @return
     */
    int insert(UserOnlineHisDO userOnlineHisDO);

    /**
     * 根据状态和时间统计
     *
     * @param userId
     * @param onlineStatus
     * @param beginTime
     * @param endTime
     * @return
     */
    int countByStatusWithTime(@Param("userId") Long userId, @Param("onlineStatus") Integer onlineStatus, @Param("beginTime") long beginTime, @Param("endTime") long endTime);

    /**
     * 查询最近一次在线时间
     *
     * @param userId
     * @return
     */
    Long selectLastOnlineTime(@Param("userId") Long userId);

    /**
     * 查询最近一次离线之前的在线时间
     *
     * @param userId
     * @return
     */
    Long selectLastOnlineTimeBeforeOffline(@Param("userId") Long userId);
}

