package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.starbuds.server.common.pojo.db.UserRelationStatsDO;

import java.util.List;

/**
 * Mapper
 */
@Mapper
@Repository
public interface UserRelationStatsDAO {

    /**
     * 插入数据
     */
    int insert(UserRelationStatsDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<UserRelationStatsDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(UserRelationStatsDO po);

    int updateRelationInc(@Param("userId") Long userId, @Param("fansCount") Long fansCount, @Param("followCount") Long followCount);

    int updateRelationDec(@Param("userId") Long userId, @Param("fansCount") Long fansCount, @Param("followCount") Long followCount);


    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    UserRelationStatsDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    UserRelationStatsDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<UserRelationStatsDO> selectPageList(QueryWrapper qw);

}
