package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserSignInConfigDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 签到配置 Mapper
 */
@Mapper
@Repository
public interface UserSignInConfigDAO {

    /**
     * 插入数据
     */
    int insert(UserSignInConfigDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<UserSignInConfigDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(UserSignInConfigDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    UserSignInConfigDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    UserSignInConfigDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<UserSignInConfigDO> selectPageList(QueryWrapper qw);

    /**
     * 获取列表
     *
     * @return
     */
    List<UserSignInConfigDO> getSignConfig();

    /**
     * 获取数据
     *
     * @param sort
     * @return
     */
    UserSignInConfigDO getSignConfigBySort(@Param("sort") Integer sort);
}