package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserSignInHisDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 签到记录 Mapper
 */
@Mapper
@Repository
public interface UserSignInHisDAO {

    /**
     * 插入数据
     */
    int insert(UserSignInHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<UserSignInHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(UserSignInHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    UserSignInHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    UserSignInHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<UserSignInHisDO> selectPageList(QueryWrapper qw);

    /**
     * 获取用户最后签到记录
     *
     * @param userId
     * @return
     */
    UserSignInHisDO getLastSignHis(@Param("userId") Long userId);
}