package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserSignInToastHisDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mapper
 */
@Mapper
@Repository
public interface UserSignInToastHisDAO {

    /**
     * 插入数据
     */
    int insert(UserSignInToastHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<UserSignInToastHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(UserSignInToastHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    UserSignInToastHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    UserSignInToastHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<UserSignInToastHisDO> selectPageList(QueryWrapper qw);

}