package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserSwitchDO;
import com.starbuds.server.common.pojo.user.UserSwitchVO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-01-18 16:23:32
 * @Description 用户开关表持久层
 */
@Mapper
@Repository
public interface UserSwitchDAO {
    /**
     * 新增
     *
     * @param entity
     * @return
     */
    Integer insert(UserSwitchDO entity);

    /**
     * 根据主键更新
     *
     * @param entity
     * @return
     */
    int updateById(UserSwitchDO entity);

    /**
     * 更新开关状态
     *
     * @param switchId
     * @param switchStatus
     * @return
     */
    int updateSwitchStatus(@Param("switchId") String switchId, @Param("switchStatus") Integer switchStatus);

    /**
     * 根据主键查询
     *
     * @param switchId
     * @return
     */
    UserSwitchDO selectById(@Param("switchId") String switchId);

    /**
     * 获取用户开关
     *
     * @param switchIds
     * @return
     */
    @MapKey("userId")
    Map<Long, UserSwitchDO> selectByIds(@Param("switchIds") Set<String> switchIds);

    /**
     * 新增或更新
     *
     * @param userSwitchDO
     * @return
     */
    int insertOrUpdate(UserSwitchDO userSwitchDO);

    /**
     * 获取开关状态
     *
     * @param switchId
     * @return
     */
    Integer getSwitchStatus(@Param("switchId") String switchId);


    /**
     * 获取物品id
     *
     * @param switchId
     * @return
     */
    Long getItemIdById(@Param("switchId") String switchId);

    /**
     * 获取用户开关
     *
     * @param userId
     * @return
     */
    List<UserSwitchVO> getSwitchList(@Param("userId") Long userId);
}
