package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserVisitHisDO;
import com.starbuds.server.common.pojo.user.VisitorVO;
import com.starbuds.server.common.pojo.user.VisitorVOV2;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/20
 */
@Mapper
@Repository
public interface UserVisitHisDAO {
    /**
     * 创建访问记录
     *
     * @param userVisitHisDO
     * @return
     */
    int insertOrUpdate(UserVisitHisDO userVisitHisDO);

    /**
     * 查询所有记录
     *
     * @param pageCursor
     * @param pageSize
     * @param userId
     * @return
     */
    List<VisitorVO> selectAll(@Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize, @Param("userId") Long userId);

    /**
     * 查询所有记录
     *
     * @param pageCursor
     * @param pageSize
     * @param userId
     * @return
     */
    List<VisitorVOV2> selectAllV2(@Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize, @Param("userId") Long userId, @Param("dateInt") Integer dateInt);

    /**
     * 统计记录
     *
     * @param userId
     * @return
     */
    int selectAllV2Count(@Param("userId") Long userId, @Param("dateInt") Integer dateInt);

    /**
     * 统计记录
     *
     * @param userId
     * @return
     */
    int count(@Param("userId") Long userId);

    /**
     * 统计记录
     *
     * @param userId
     * @return
     */
    Integer selectVisitorCount(@Param("userId") Long userId, @Param("targetUserId") Long targetUserId, @Param("dateInt") Integer dateInt);

    /**
     * 统计访客记录
     *
     * @param userId
     * @return
     */
    Long selectVisitorCountByUser(@Param("userId") Long userId, @Param("dateInt") Integer dateInt);

    /**
     * 统计访客用户数
     *
     * @param userId
     * @return
     */
    Long selectVisitorTotalCountByUser(@Param("userId") Long userId);
}
