package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.UserWatchRelationFlowHisDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import com.starbuds.server.common.pojo.db.UserWatchRelationHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Set;

@Mapper
@Repository
public interface UserWatchRelationFlowHisDAO {

    /**
     * 插入数据
     */
    int insert(UserWatchRelationFlowHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<UserWatchRelationFlowHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(UserWatchRelationFlowHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    UserWatchRelationFlowHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    UserWatchRelationFlowHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<UserWatchRelationFlowHisDO> selectPageList(QueryWrapper qw);

    /**
     * 通过ID查找
     *
     * @param createBy
     * @param orderId
     * @return
     */
    UserWatchRelationFlowHisDO getHistoryByOrderId(@Param("createBy") int createBy, @Param("orderId") String orderId);

    /**
     * 获取历史记录
     *
     * @param scoreLimit
     * @param cursor
     * @param pageSize
     * @return
     */
    List<UserWatchRelationFlowHisDO> getHisList(@Param("scoreLimit") Long scoreLimit, @Param("cursor") Integer cursor, @Param("pageSize") Integer pageSize);

    List<UserWatchRelationFlowHisDO> getRoomIdsByAuctionId(@Param("auctionIds") Set<Long> auctionIds);
}