package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;
import com.starbuds.server.common.pojo.db.UserWatchRelationHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface UserWatchRelationHisDAO {

    /**
     * 插入数据
     */
    int insert(UserWatchRelationHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<UserWatchRelationHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(UserWatchRelationHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    UserWatchRelationHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    UserWatchRelationHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<UserWatchRelationHisDO> selectPageList(QueryWrapper qw);

    /**
     * 通过类型和ID查找记录
     *
     * @param createBy
     * @param orderId
     * @return
     */
    UserWatchRelationHisDO getWatchRelationByOrder(@Param("createBy") int createBy, @Param("orderId") String orderId);
}
