package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.db.WatchDurationDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 守护时长配置表 Mapper
 */
@Mapper
@Repository
public interface WatchDurationDAO {

    /**
     * 插入数据
     */
    int insert(WatchDurationDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<WatchDurationDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(WatchDurationDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    WatchDurationDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    WatchDurationDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<WatchDurationDO> selectPageList(QueryWrapper qw);

    /**
     * 获取可用的守护时长列表
     *
     * @param qw
     * @return
     */
    List<WatchDurationDO> getWatchDurationList(QueryWrapper qw);

    /**
     * 删除守护时长
     *
     * @param watchDurationId
     * @return
     */
    Integer delWatchDuration(@Param("watchDurationId") Integer watchDurationId);

    List<WatchDurationDO> getEnbaleWatchDurationList();
}