package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;
import com.starbuds.server.common.pojo.db.WatchNotifyHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * User: Mazexal
 * Date: 2021/7/26
 */
@Mapper
@Repository
public interface WatchNotifyHisDAO {

    /**
     * 插入数据
     */
    int insert(WatchNotifyHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<WatchNotifyHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(WatchNotifyHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    WatchNotifyHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    WatchNotifyHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<WatchNotifyHisDO> selectPageList(QueryWrapper qw);

    /**
     * 获取需要通知的守护到期信息
     *
     * @param userId
     * @return
     */
    List<WatchNotifyHisDO> getNotifyWatch(@Param("userId") Long userId);

    /**
     * 更新守护信息已读
     *
     * @param userId
     * @return
     */
    Integer updateNotifyWatchRead(@Param("userId") Long userId);

    /**
     * 检查是否存在
     *
     * @param userId
     * @param watchRelationId
     * @param createTime      这里的时间是一天前的时间
     * @return
     */
    Integer checkIfExist(@Param("userId") Long userId, @Param("watchRelationId") Long watchRelationId, @Param("createTime") Long createTime);
}
