package com.starbuds.server.service.user.dao;

import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;
import com.starbuds.server.common.pojo.db.WatchScoreRankHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface WatchScoreRankHisDAO {

    /**
     * 插入数据
     */
    int insert(WatchScoreRankHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<WatchScoreRankHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(WatchScoreRankHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    WatchScoreRankHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    WatchScoreRankHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<WatchScoreRankHisDO> selectPageList(QueryWrapper qw);

    /**
     * 获取历史获胜者总数
     */
    Integer getHistoryWinnerCount();

    /**
     * 获取历史获胜者列表
     */
    List<WatchScoreRankHisDO> getHistoryWinner(@Param("pageCursor") Integer pageCursor, @Param("pageSize") Integer pageSize);

    /**
     * 获取某周前20
     *
     * @param startTime
     * @return
     */
    List<WatchScoreRankHisDO> getWeekTop(@Param("startTime") Long startTime);

    WatchScoreRankHisDO getLastWeekWinner(@Param("startTime") Long startTime);
}
