package com.starbuds.server.service.user.impl;

import com.starbuds.server.common.constant.finance.ScoreTypeEnum;
import com.starbuds.server.common.constant.user.HotLoveLeaderboardDayTypeEnum;
import com.starbuds.server.common.constant.user.ScoreRankTypeEnum;
import com.starbuds.server.common.pojo.user.ScoreRankItem;
import com.starbuds.server.common.pojo.user.ScoreRankTimes;
import com.starbuds.server.common.service.user.ScoreRankService;
import com.starbuds.server.service.user.provider.ScoreRankProvider;
import org.apache.dubbo.config.annotation.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 积分排行服务实现
 *
 * @author Lay
 * @date 2020/2/29
 */
@Service(version = "1.0.0")
public class ScoreRankServiceImpl implements ScoreRankService {

    @Resource
    ScoreRankProvider scoreRankProvider;

    /**
     * 获取排行时间
     *
     * @return
     */
    @Override
    public ScoreRankTimes getRankTimes() {
        return scoreRankProvider.getRankTimes();
    }

    /**
     * 获取排行数据
     *
     * @param scoreRankType
     * @param scoreType
     * @param start
     * @param end
     * @param curUserId
     * @return
     */
    @Override
    public List<ScoreRankItem> getRankItems(ScoreRankTypeEnum scoreRankType, ScoreTypeEnum scoreType, long start, long end, Long curUserId) {
        return scoreRankProvider.getRankItems(scoreRankType, scoreType, start, end, curUserId);
    }

    /**
     * 获取热爱榜数据
     *
     * @param dayTypeEnum
     * @param userId
     * @return
     */
    @Override
    public List<ScoreRankItem> getHotLoveLeaderboardList(HotLoveLeaderboardDayTypeEnum dayTypeEnum, Long userId) {
        return scoreRankProvider.getHotLoveLeaderboardList(dayTypeEnum, userId);
    }
}
