package com.starbuds.server.service.user.impl;

import com.starbuds.server.common.pojo.db.UserAuthDO;
import com.starbuds.server.common.service.user.UserAuthService;
import com.starbuds.server.service.user.dao.UserAuthDAO;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections.CollectionUtils;
import org.apache.dubbo.config.annotation.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.Collections;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 用户认证信息
 *
 * @author aoe
 * @date 2021/10/20
 */
@Service(version = "1.0.0")
@Slf4j
public class UserAuthServiceImpl implements UserAuthService {

    @Resource
    private UserAuthDAO userAuthDAO;

    /**
     * 获取用户授权列表
     *
     * @param userIds
     * @return
     */
    @Override
    public Map<Long, UserAuthDO> selectAuthMapByIds(Collection<Long> userIds) {
        if (CollectionUtils.isEmpty(userIds)) {
            return Collections.emptyMap();
        }

        userIds = userIds.stream()
                .distinct()
                .collect(Collectors.toList());

        return userAuthDAO.selectAuthMapByIds(userIds);
    }
}
