package com.starbuds.server.service.user.impl;

import com.starbuds.server.common.constant.common.BoolIntVal;
import com.starbuds.server.common.pojo.data.MedalShinyStatus;
import com.starbuds.server.common.service.user.UserMedalService;
import com.starbuds.server.service.user.provider.UserMedalStatusProvider;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;

import javax.annotation.Resource;

import static com.starbuds.server.service.user.util.SpringContextUtil.isDev;

/**
 * @author aoe
 * @date 2022/1/11
 */
@Service(version = "1.0.0")
@Slf4j
public class UserMedalServiceImpl implements UserMedalService {

    @Resource
    private UserMedalStatusProvider userMedalStatusProvider;

    @Override
    public MedalShinyStatus getMedalShinyStatus(long userId) {
        if (isDev()) {
            log.info("查询勋章闪亮状态1 userId={}", userId);
        }
        MedalShinyStatus shinyStatus = new MedalShinyStatus();
        int wealthLevel = BoolIntVal.False;
        boolean isShiny = userMedalStatusProvider.isShiny(userId);
        if (isShiny) {
            wealthLevel = BoolIntVal.True;
        }
        shinyStatus.setWealthLevel(wealthLevel);
        return shinyStatus;
    }
}
