package com.starbuds.server.service.user.provider;

import cn.hutool.core.convert.Convert;
import cn.hutool.crypto.symmetric.AES;
import com.starbuds.server.service.user.pojo.admin.ManageTokenParam;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;

/**
 * 令牌服务
 */
@Slf4j
public class AdminTokenProvider {

    private static final String AES_KEY = "NwnpdOezavGWf1WCH0g7RsfKiNn2heTe";

    public static String encryptToken(ManageTokenParam tokenParam) {
        AES aes = new AES(AES_KEY.getBytes());
        return aes.encryptBase64(String.format("%d:%d:%s:%d", tokenParam.getAdminId(), tokenParam.getRoleId(), tokenParam.getToken(), tokenParam.getTimestamp()).getBytes());
    }

    public static ManageTokenParam decryptToken(String tokenEncrypted) {
        try {
            AES aes = new AES(AES_KEY.getBytes());
            String tokenDecrypted = aes.decryptStr(tokenEncrypted);
            if (StringUtils.isNotBlank(tokenDecrypted)) {
                String[] tokenValues = tokenDecrypted.split(":");

                ManageTokenParam tokenParam = new ManageTokenParam();
                tokenParam.setAdminId(Convert.toLong(tokenValues[0]));
                tokenParam.setRoleId(Convert.toLong(tokenValues[1]));
                tokenParam.setToken(tokenValues[2]);
                tokenParam.setTimestamp(Convert.toLong(tokenValues[3]));

                return tokenParam;
            }
        } catch (Exception e) {
            log.error("令牌解析失败", e);
        }
        return null;
    }
}
