package com.starbuds.server.service.user.provider;

import com.starbuds.server.common.constant.finance.ScoreTypeEnum;

import java.util.List;

/**
 * 积分服务
 *
 * @author Lay
 * @date 2020/1/19
 */
public interface IScoreProvider {
    /**
     * 增加积分
     *
     * @param userId
     * @param scoreType
     * @param changeValue
     * @param remarks
     * @param businessId
     * @param anchorUserId
     * @return
     */
    boolean addScore(Long userId, ScoreTypeEnum scoreType, long changeValue, String remarks, Long businessId, Long anchorUserId);

    /**
     * 减少积分
     *
     * @param userId
     * @param scoreType
     * @param changeValue
     * @param remarks
     * @param businessId
     * @return
     */
    Long reduceScore(Long userId, ScoreTypeEnum scoreType, long changeValue, String remarks, Long businessId);

    /**
     * 获取等级积分
     *
     * @param userId
     * @param scoreType
     * @return
     */
    Long getScoreValue(Long userId, ScoreTypeEnum scoreType);

    /**
     * 获取等级积分
     *
     * @param userIds
     * @param scoreType
     * @return
     */
    Long getScoreValues(List<Long> userIds, ScoreTypeEnum scoreType);

    /**
     * 获取积分等级
     *
     * @param scoreValue
     * @param scoreType
     * @return
     */
    int getScoreLevel(Long scoreValue, ScoreTypeEnum scoreType);

    /**
     * 获取积分等级默认0
     *
     * @param scoreValue
     * @param scoreType
     * @return
     */
    int getScoreLevelDefault(Long scoreValue, ScoreTypeEnum scoreType);
}
