package com.starbuds.server.service.user.impl;

import com.starbuds.server.common.pojo.user.UserCardVO;
import com.starbuds.server.common.service.user.UserService;
import com.starbuds.server.service.user.dao.UserDAO;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import test.BaseTest;

import javax.annotation.Resource;

@Slf4j
public class UserServiceImplTest extends BaseTest {

    @Reference(version = "1.0.0")
    private UserService userService;

    @Resource
    private UserDAO userDAO;

    @Test
    public void getCard() {
        assertEqualUser(141075591200768L);
    }

    private void assertEqualUser(Long userId) {
        UserCardVO userCardByDao = userDAO.selectCardById(userId);
        UserCardVO userCard = userService.getCard(userId);
        Assertions.assertEquals(userCardByDao.toString(), userCard.toString());
    }
}