package com.starbuds.server.service.user.provider.impl;

import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import java.time.LocalDate;

@Slf4j
class UserMedalShinyDateTest {

    private UserMedalShinyDate userMedalShinyStatusDate = new UserMedalShinyDate();

    @Test
    void getLastUpdatedDate() {
        LocalDate now = LocalDate.of(2022, 1, 14);
        int lastUpdatedDate = userMedalShinyStatusDate.getLastUpdatedDate(now);
        Assertions.assertEquals(20220114, lastUpdatedDate);
    }

    @Test
    void getShinyEndDate() {
        LocalDate now = LocalDate.of(2022, 1, 1);
        int shinyEndDate = userMedalShinyStatusDate.getShinyEndDate(now);
        Assertions.assertEquals(20220111, shinyEndDate);
    }

    @Test
    void getPutGreyDate() {
        LocalDate now = LocalDate.of(2022, 1, 1);
        int putGreyDate = userMedalShinyStatusDate.getPutGreyDate(now);
        Assertions.assertEquals(20220112, putGreyDate);
    }
}